Loading...
Searching...
No Matches
ClpInterior.hpp File Reference
`#include <iostream>`
`#include <cfloat>`
`#include "ClpModel.hpp"`
`#include "ClpMatrixBase.hpp"`
`#include "ClpSolve.hpp"`
`#include "CoinDenseVector.hpp"`
Include dependency graph for ClpInterior.hpp:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | Info
| ******** DATA to be moved into protected section of ClpInterior More...
struct | Outfo
| ******** DATA to be moved into protected section of ClpInterior More...
struct | Options
| ******** DATA to be moved into protected section of ClpInterior More...
class | ClpInterior
| This solves LPs using interior point methods. More...

## Macros

data. Many arrays have a row part and a column part.
There is a single array with both - columns then rows and then normally two arrays pointing to rows and columns. The single array is the owner of memory
#define | LENGTH_HISTORY 5
| historyInfeasibility.

## Functions

void | ClpInteriorUnitTest (const std::string &mpsDir, const std::string &netlibDir)
| A function that tests the methods in the ClpInterior class.

## Macro Definition Documentation

## LENGTH_HISTORY

#define LENGTH_HISTORY 5

historyInfeasibility.

Definition at line 536 of file ClpInterior.hpp.

## Function Documentation

## ClpInteriorUnitTest()

void ClpInteriorUnitTest | ( | const std::string & | mpsDir,
|  | const std::string & | netlibDir )

A function that tests the methods in the ClpInterior class.

The only reason for it not to be a member method is that this way it doesn't have to be compiled into the library. And that's a gain, because the library should be compiled with optimization on, but this method should be compiled with debugging.

It also does some testing of ClpFactorization class